Merging upstream version 1.14.0~rc0.

Signed-off-by: Daniel Baumann's avatarDaniel Baumann <daniel.baumann@progress-linux.org>
parent 0b039fbd
......@@ -5,8 +5,8 @@
* @ktsaou
# Ownership by directory structure
.travis/ @paufantom @cakrit
.github/ @paufantom @cakrit
.travis/ @paulkatsoulakis @cakrit
.github/ @paulkatsoulakis @cakrit
backends/ @ktsaou @vlvkobal
backends/graphite/ @ktsaou @vlvkobal
backends/json/ @ktsaou @vlvkobal
......
<!---
This is a generic issue template. We usually prefer contributors to use one
of 3 other specific issue templates (bug report, feature request, question)
to allow our automation classify those so you can get response faster.
However if your issue doesn't fall into either one of those 3 categories
use this generic template.
--->
#### Summary
---
name: Bug report
about: Create a bug report to help us improve
---
<!---
When creating a bug report please:
- Verify first that your issue is not already reported on GitHub
- Test if the latest release and master branch are affected too.
- Provide a clear and concise description of what the bug is in "Bug report
summary" section.
- Try to provide as much information about your environment (OS distribution,
running in container, etc.) as possible to allow us reproduce this bug faster.
- Write which component is affected. We group our components the same way our
code is structured so basically:
component name = dir in top level directory of repository
- Describe how you found this bug and how we can reproduce it. Preferable with
a minimal test-case scenario. You can paste gist.github.com links for larger
files
- Provide a clear and concise description of what you expected to happen.
-->
##### Bug report summary
##### OS / Environment
##### Netdata version (ouput of `netdata -V`)
##### Component Name
##### Steps To Reproduce
##### Expected behavior
---
name: Feature request
about: Suggest an idea for our project
---
<!---
When creating a feature request please:
- Verify first that your issue is not already reported on GitHub
- Explain new feature briefly in "Feature idea summary" section
- Provide a clear and concise description of what you expect to happen.
--->
##### Feature idea summary
##### Expected behavior
---
name: Question
about: You just want to ask a question? Go on.
---
<!---
When asking a new question please:
- Verify first that your question wasn't asked before on GitHub.
HINT: Use label "question" when searching for such issues.
- Briefly explain what is the problem you are having
- Try to provide as much information about your environment (OS distribution,
running in container, etc.) as possible to allow us reproduce this bug faster.
- Write which component is affected. We group our components the same way our
code is structured so basically:
component name = dir in top level directory of repository
- Provide a clear and concise description of what you expected to happen.
-->
##### Question summary
##### OS / Environment
##### Component Name
##### Expected results
<!--
Describe the change in summary section, including rationale and degin decisions.
Include "Fixes #nnn" if you are fixing an existing issue.
In "Component Name" section write which component is changed in this PR. This
will help us review your PR quicker.
If you have more information you want to add, write them in "Additional
Information" section. This is usually used to help others understand your
motivation behind this change. A step-by-step reproduction of the problem is
helpful if there is no related issue.
-->
##### Summary
##### Component Name
##### Additional Information
---
only: issues
limitPerRun: 30
daysUntilStale: 45
daysUntilClose: 60
exemptLabels:
- bug
- help wanted
- feature request
exemptProjects: true
exemptMilestones: true
staleLabel: stale
markComment: >
Currently netdata team doesn't have enough capacity to work on this issue.
We will be more than glad to accept a pull request with a solution to problem described here.
This issue will be closed after another 60 days of inactivity.
closeComment: >
This issue has been automatically closed due to extended period of inactivity.
Please reopen if it is still valid. Thank you for your contributions.
......@@ -53,6 +53,9 @@ cups.plugin
nfacct.plugin
!nfacct.plugin/
xenstat.plugin
!xenstat.plugin/
cgroup-network
!cgroup-network/
......
dist: trusty
sudo: true
language: c
services:
- docker
stages:
- test
- build
- name: packaging
if: branch = master AND type != pull_request AND type != cron
- name: nightlies
if: branch = master AND type = cron
- name: Integrity testing
if: branch = master AND type = cron
jobs:
include:
- stage: test
name: C
install: sudo apt-get install -y libcap2-bin zlib1g-dev uuid-dev fakeroot libipmimonitoring-dev libmnl-dev libnetfilter-acct-dev
script: fakeroot ./netdata-installer.sh --install $HOME --dont-wait --dont-start-it --enable-plugin-nfacct --enable-plugin-freeipmi --disable-lto && $HOME/netdata/usr/sbin/netdata -W unittest
env: CFLAGS='-O1 -DNETDATA_INTERNAL_CHECKS=1 -DNETDATA_VERIFY_LOCKS=1'
- name: dashboard.js
script: cp web/gui/dashboard.js /tmp/dashboard.js && ./build/build.sh && diff /tmp/dashboard.js web/gui/dashboard.js
- name: lint .sh.in files
script: shellcheck --format=gcc $(find . -name '*.sh.in' -not -iwholename '*.git*')
- name: check checksums for kickstart files
script: ./tests/installer/checksums.sh
env: LOCAL_ONLY="true"
- name: coverity
install: sudo apt-get install -y zlib1g-dev uuid-dev libipmimonitoring-dev libmnl-dev libnetfilter-acct-dev
script: ./coverity-install.sh && ./coverity-scan.sh || echo "Coverity failed :("
if: type = cron
- stage: build
# TODO: enable when travis OSX become stable. Probably after 12.01.2019
# name: OSX
# install: brew install fakeroot ossp-uuid
# script: fakeroot ./netdata-installer.sh --install $HOME --dont-wait --dont-start-it
# os: osx
# - name: ubuntu 14.04 (not containerized)
name: ubuntu 14.04 (not containerized)
install: sudo apt-get install -y libcap2-bin zlib1g-dev uuid-dev fakeroot
script: fakeroot ./netdata-installer.sh --dont-wait --dont-start-it --install $HOME
- name: build container (alpine installation)
script: ./packaging/docker/build.sh
env: DEVEL="true"
- name: ubuntu 18.04 + lifecycle
script: docker run -it -v "${PWD}:/code:rw" -w /code "netdata/os-test:ubuntu1804" bats --tap tests/lifecycle.bats
- name: CentOS 7
script: docker run -it -v "${PWD}:/code:rw" -w /code "netdata/os-test:centos7" ./netdata-installer.sh --dont-wait --dont-start-it --install /tmp
- name: CentOS 6
script: docker run -it -v "${PWD}:/code:rw" -w /code "netdata/os-test:centos6" ./netdata-installer.sh --dont-wait --dont-start-it --install /tmp
- stage: packaging
name: Create release (only on special commit msg)
install:
- sudo apt-get install -y gnupg libcap2-bin zlib1g-dev uuid-dev fakeroot python-pip
- sudo apt install -y --only-upgrade docker-ce
- docker info
before_script: sudo pip install git-semver
script: ".travis/releaser.sh && .travis/labeler.sh" # labeler should be replaced with GitHub Actions when they hit GA
git:
depth: false
- stage: nightlies
name: Nightly build
before_install: openssl aes-256-cbc -K $encrypted_8daf19481253_key -iv $encrypted_8daf19481253_iv -in .travis/gcs-credentials.json.enc -out .travis/gcs-credentials.json -d
install:
- sudo apt-get install -y gnupg libcap2-bin zlib1g-dev uuid-dev fakeroot
- sudo apt install -y --only-upgrade docker-ce
- docker info
script: ".travis/nightlies.sh"
git:
depth: false
deploy:
provider: gcs
edge:
branch: gcs-ng
project_id: netdata-storage
credentials: .travis/gcs-credentials.json
bucket: "netdata-nightlies"
skip_cleanup: true
local_dir: "artifacts"
after_deploy: rm -f .travis/gcs-credentials.json
- stage: Integrity testing
name: Kickstart files integrity testing
script: ./tests/installer/checksums.sh
notifications:
webhooks: https://app.fossa.io/hooks/travisci
slack:
rooms:
- secure: "NuW1p7s+WGLcyhEceeiLRSV1JgAc6N47zgdSsYoxrjSFRQHDfc8jensypDcEJwgs1K2Hcve9iKRaAddEHEw7AkS6rie9gFR5HmmbKXfW2GFMqOr6maYTFsvaECPqiWk1n9/XnRLsAi5kZ8HxH+a8ldb/eaVoFQesY1jPXgh11BM5DwvpXjEtwg0WGASsKiymvnXFS3KcC+sR7Lln2GX1a8vfCX2I3TEmOedKMlSHUy5JilGGC3AWA0SWS8tR8PUH0u3dHL5j0RNIr1RO3Yx24QgUpg/YpvKymnW/iIIEOq2vb2mBhhiKEQjJ1djUL4VSPzjIDpUzThVpKaHk3syOp6W9qZEHKhR/sqjc5Yk2XRjsw1cM0nS60gaCgxtKhEMKWcjtvWf04oJAVrmcUwcYXj0eA+jgRCZl5VhyufK/fUJavjOfsQGjwhdjxQfwDCw33W17ypJUt4GZngdb6jbIhEOcKHSLQDu1vuHTw82hJJkthkmR59PX30qJdl/MEGcfVLdN/fkCokjR/qwfmkNwQm+wYSKsK/Jq4RgBT0/oZwY3e8nkCq2ov7lBbDO3/0rzQKWZ9Uy//tnoCM3vGhDwGHQxsHshv7g6KwdhYTcmm7WWWIucfLupcjFUO1HbRuJ+7ZnvxRRwKiV+MGkFT2SNJkS8q1/jCu9KGbmktd0WUSE="
......@@ -24,7 +24,7 @@ mv "${BASENAME}.tar.gz" artifacts/
echo "--- Create self-extractor ---"
./packaging/makeself/build-x86_64-static.sh
# Needed fo GCS
# Needed for GCS
echo "--- Copy artifacts to separate directory ---"
#shellcheck disable=SC2164
cp packaging/version artifacts/latest-version.txt
......
#!/bin/bash
#
# Changelog generation scriptlet.
#
# Copyright: SPDX-License-Identifier: GPL-3.0-or-later
#
# Author : Pawel Krupa (paulfantom)
# Author : Pavlos Emm. Katsoulakis (paul@netdata.cloud)
set -e
if [ ! -f .gitignore ]; then
echo "Run as ./travis/$(basename "$0") from top level directory of git repository"
exit 1
# If we are not in netdata git repo, at the top level directory, fail
TOP_LEVEL=$(basename "$(git rev-parse --show-toplevel)")
CWD=$(git rev-parse --show-cdup || echo "")
if [ -n "$CWD" ] || [ ! "${TOP_LEVEL}" == "netdata" ]; then
echo "Run as .travis/$(basename "$0") from top level directory of netdata git repository"
echo "Changelog generation process aborted"
exit 1
fi
ORGANIZATION=$(echo "$TRAVIS_REPO_SLUG" | awk -F '/' '{print $1}')
PROJECT=$(echo "$TRAVIS_REPO_SLUG" | awk -F '/' '{print $2}')
LAST_TAG="$1"
COMMITS_SINCE_RELEASE="$2"
NEW_VERSION="${LAST_TAG}-$((COMMITS_SINCE_RELEASE + 1))-nightly"
ORG=$(echo "$TRAVIS_REPO_SLUG" | cut -d '/' -f1)
PROJECT=$(echo "$TRAVIS_REPO_SLUG" | cut -d '/' -f 2)
GIT_MAIL=${GIT_MAIL:-"bot@netdata.cloud"}
GIT_USER=${GIT_USER:-"netdatabot"}
PUSH_URL=$(git config --get remote.origin.url | sed -e 's/^https:\/\///')
FAIL=0
if [ -z ${GIT_TAG+x} ]; then
OPTS=""
else
OPTS="--future-release ${GIT_TAG}"
fi
echo "--- Creating changelog ---"
echo "We got $COMMITS_SINCE_RELEASE changes since $LAST_TAG, re-generating changelog"
git config user.email "${GIT_MAIL}"
git config user.name "${GIT_USER}"
git checkout master
git pull
echo "Running project markmandel for github changelog generation"
#docker run -it --rm -v "$(pwd)":/usr/local/src/your-app ferrarimarco/github-changelog-generator:1.14.3 \
docker run -it -v "$(pwd)":/project markmandel/github-changelog-generator:latest \
--user "${ORGANIZATION}" \
--user "${ORG}" \
--project "${PROJECT}" \
--token "${GITHUB_TOKEN}" \
--since-tag "v1.10.0" \
......@@ -31,3 +49,18 @@ docker run -it -v "$(pwd)":/project markmandel/github-changelog-generator:latest
--exclude-labels "stale,duplicate,question,invalid,wontfix,discussion,no changelog" \
--no-compare-link ${OPTS}
echo "Changelog created! Adding packaging/version(${NEW_VERSION}) and CHANGELOG.md to the repository"
echo "${NEW_VERSION}" > packaging/version
git add packaging/version && echo "1) Added packaging/version to repository" || FAIL=1
git add CHANGELOG.md && echo "2) Added changelog file to repository" || FAIL=1
git commit -m '[ci skip] create nightly packages and update changelog' && echo "3) Committed changes to repository" || FAIL=1
git push "https://${GITHUB_TOKEN}:@${PUSH_URL}" && echo "4) Pushed changes to remote ${PUSH_URL}" || FAIL=1
# In case of a failure, wrap it up and bail out cleanly
if [ $FAIL -eq 1 ]; then
git clean -xfd
echo "Changelog generation failed during github UPDATE!"
exit 1
fi
echo "Changelog generation completed successfully!"
#!/bin/bash
set -e
if [ ! -f .gitignore ]; then
echo "Run as ./travis/$(basename "$0") from top level directory of git repository"
exit 1
fi
ORGANIZATION=$(echo "$TRAVIS_REPO_SLUG" | awk -F '/' '{print $1}')
PROJECT=$(echo "$TRAVIS_REPO_SLUG" | awk -F '/' '{print $2}')
GIT_MAIL=${GIT_MAIL:-"bot@netdata.cloud"}
GIT_USER=${GIT_USER:-"netdatabot"}
if [ -z ${GIT_TAG+x} ]; then
OPTS=""
else
OPTS="--future-release ${GIT_TAG}"
fi
echo "--- Creating changelog ---"
git checkout master
git pull
#docker run -it --rm -v "$(pwd)":/usr/local/src/your-app ferrarimarco/github-changelog-generator:1.14.3 \
docker run -it -v "$(pwd)":/project markmandel/github-changelog-generator:latest \
--user "${ORGANIZATION}" \
--project "${PROJECT}" \
--token "${GITHUB_TOKEN}" \
--since-tag "v1.10.0" \
--unreleased-label "**Next release**" \
--exclude-labels "stale,duplicate,question,invalid,wontfix,discussion,no changelog" \
--no-compare-link ${OPTS}
#!/bin/bash
BAD_THING_HAPPENED=0
if [ ! -f .gitignore ]; then
echo "Run as ./travis/$(basename "$0") from top level directory of git repository"
exit 1
#
# This is the nightlies orchastration script
# It runs the following activities in order:
# 1) Generate changelog
# 2) Build docker images
# 3) Publish docker images
# 4) Generate the rest of the artifacts (Source code .tar.gz file and makeself binary generation)
#
# Copyright: SPDX-License-Identifier: GPL-3.0-or-later
#
# Author : Pawel Krupa (paulfantom)
# Author : Pavlos Emm. Katsoulakis (paul@netdata.cloud)
set -e
FAIL=0
# If we are not in netdata git repo, at the top level directory, fail
TOP_LEVEL=$(basename "$(git rev-parse --show-toplevel)")
CWD=$(git rev-parse --show-cdup || echo "")
if [ -n "${CWD}" ] || [ ! "${TOP_LEVEL}" == "netdata" ]; then
echo "Run as .travis/$(basename "$0") from top level directory of netdata git repository"
echo "Changelog generation process aborted"
exit 1
fi
export GIT_MAIL="bot@netdata.cloud"
export GIT_USER="netdatabot"
echo "--- Initialize git configuration ---"
git config user.email "${GIT_MAIL}"
git config user.name "${GIT_USER}"
echo "--- UPDATE VERSION FILE ---"
LAST_TAG=$(git describe --abbrev=0 --tags)
NO_COMMITS=$(git rev-list "$LAST_TAG"..HEAD --count)
if [ "$NO_COMMITS" == "$(rev <packaging/version | cut -d- -f 2 | rev)" ]; then
echo "Nothing changed since last nightly build"
COMMITS_SINCE_RELEASE=$(git rev-list "${LAST_TAG}"..HEAD --count)
PREVIOUS_NIGHTLY_COUNT="$(rev <packaging/version | cut -d- -f 2 | rev)"
# If no commits since release, just stop
if [ "${COMMITS_SINCE_RELEASE}" == "${PREVIOUS_NIGHTLY_COUNT}" ]; then
echo "No changes since last nighthly release"
exit 0
fi
echo "$LAST_TAG-$((NO_COMMITS + 1))-nightly" >packaging/version
git add packaging/version || exit 1
echo "--- GENERATE CHANGELOG ---"
if .travis/generate_changelog.sh; then
git add CHANGELOG.md
echo "--- UPLOAD FILE CHANGES ---"
git commit -m '[ci skip] create nightly packages and update changelog'
git push "https://${GITHUB_TOKEN}:@$(git config --get remote.origin.url | sed -e 's/^https:\/\///')"
else
git clean -xfd
BAD_THING_HAPPENED=1
fi
echo "--- BUILD & PUBLISH DOCKER IMAGES ---"
export REPOSITORY="netdata/netdata"
packaging/docker/build.sh || BAD_THING_HAPPENED=1
echo "--- Running Changelog generation ---"
.travis/generate_changelog.sh "${LAST_TAG}" "${COMMITS_SINCE_RELEASE}" || echo "Changelog generation has failed, this is a soft error, process continues"
echo "--- Build && publish docker images ---"
# Do not fail artifacts creation if docker fails. We will be restructuring this on a follow up PR
packaging/docker/build.sh && packaging/docker/publish.sh || echo "Failed to build and publish docker images"
echo "--- BUILD ARTIFACTS ---"
.travis/create_artifacts.sh || BAD_THING_HAPPENED=1
echo "--- Build artifacts ---"
.travis/create_artifacts.sh
exit "${BAD_THING_HAPPENED}"
exit "${FAIL}"
......@@ -48,7 +48,7 @@ echo "$GIT_TAG" >packaging/version
git add packaging/version
echo "---- GENERATE CHANGELOG -----"
./.travis/generate_changelog.sh
./.travis/generate_changelog_for_release.sh
git add CHANGELOG.md
echo "---- COMMIT AND PUSH CHANGES ----"
......@@ -64,8 +64,8 @@ if [[ $(git describe) =~ -rc* ]]; then
fi
echo "---- CREATING TAGGED DOCKER CONTAINERS ----"
export REPOSITORY="netdata/netdata"
./packaging/docker/build.sh
./packaging/docker/publish.sh
echo "---- CREATING RELEASE ARTIFACTS -----"
# Artifacts are stored in `artifacts/` directory
......
This source diff could not be displayed because it is too large. You can view the blob instead.
This diff is collapsed.
......@@ -97,6 +97,7 @@ username|name|email (optional)
@ccremer|Christian Cremer|
@jimcooley|Jim Cooley|jim.cooley@healthvana.com
@Chocobo1|Mike Tzou|
@vinyasmusic|Vinyas Malagaudanavar|vinyasmusic@gmail.com
@cosmix|Dimosthenis Kaponis|
@shadycuz|Levi Blaney|shadycuz+spam@gmail.com
@Flums|Philip Gabrielsen|philip@digno.no
......
This diff is collapsed.
......@@ -71,7 +71,9 @@ dist_noinst_DATA= \
# should be proper init.d/openrc/systemd usable
dist_noinst_SCRIPTS= \
coverity-scan.sh \
coverity-install.sh \
packaging/installer/netdata-updater.sh \
packaging/installer/netdata-uninstaller.sh \
packaging/installer/kickstart.sh \
packaging/installer/kickstart-static64.sh \
packaging/installer/functions.sh \
......@@ -107,6 +109,7 @@ AM_CFLAGS = \
$(OPTIONAL_LIBCAP_LIBS) \
$(OPTIONAL_IPMIMONITORING_CFLAGS) \
$(OPTIONAL_CUPS_CFLAGS) \
$(OPTIONAL_XENSTAT_CFLAGS) \
$(NULL)
sbin_PROGRAMS =
......@@ -224,6 +227,11 @@ NFACCT_PLUGIN_FILES = \
$(LIBNETDATA_FILES) \
$(NULL)
XENSTAT_PLUGIN_FILES = \
collectors/xenstat.plugin/xenstat_plugin.c \
$(LIBNETDATA_FILES) \
$(NULL)
PROC_PLUGIN_FILES = \
collectors/proc.plugin/ipc.c \
collectors/proc.plugin/plugin_proc.c \
......@@ -511,3 +519,12 @@ if ENABLE_PLUGIN_NFACCT
$(OPTIONAL_NFACCT_LIBS) \
$(NULL)
endif
if ENABLE_PLUGIN_XENSTAT
plugins_PROGRAMS += xenstat.plugin
xenstat_plugin_SOURCES = $(XENSTAT_PLUGIN_FILES)
xenstat_plugin_LDADD = \
$(NETDATA_COMMON_LIBS) \
$(OPTIONAL_XENSTAT_LIBS) \
$(NULL)
endif
This source diff could not be displayed because it is too large. You can view the blob instead.
......@@ -147,6 +147,16 @@ not just visualize metrics.
## News
`Mar 14th, 2019` - **[netdata v1.13.0 released!](https://github.com/netdata/netdata/releases)**
Release 1.13.0 contains 14 bug fixes and 8 improvements.
netdata has taken the first step into the world of Kubernetes, with a beta version of a [Helm chart](https://github.com/netdata/helmchart) for deployment to a k8s cluster and [proper naming](https://github.com/netdata/netdata/pull/5576) of the cgroup containers. We have [big plans](https://github.com/netdata/netdata/issues/5392) for Kubernetes, so stay tuned!
A [major refactoring of the python.d plugin](https://github.com/netdata/netdata/pull/5552) has resulted in a dramatic decrease of the required memory, making netdata even more resource efficient.
We also added charts for IPC shared memory segments and total memory used.
`Feb 28th, 2019` - **[netdata v1.12.2 released!](https://github.com/netdata/netdata/releases)**
Patch release 1.12.2 contains 7 bug fixes and 4 improvements.
......@@ -176,7 +186,7 @@ The key improvements are:
- Improved internal database to support values above 64bit.
- New data collection plugins: [`openldap`](collectors/python.d.plugin/openldap/), [`tor`](collectors/python.d.plugin/tor/), [`nvidia_smi`](collectors/python.d.plugin/nvidia_smi/).
- Improved data collection plugins: netdata now supports monitoring network interface aliases, [`smartd_log`](collectors/python.d.plugin/smartd_log/), [`cpufreq`](collectors/python.d.plugin/cpufreq/), [`sensors`](collectors/python.d.plugin/sensors/).
- Improved data collection plugins: netdata now supports monitoring network interface aliases, [`smartd_log`](collectors/python.d.plugin/smartd_log/), [`cpufreq`](collectors/proc.plugin/README.md#cpu-frequency), [`sensors`](collectors/python.d.plugin/sensors/).
- Health monitoring improvements: network interface congestion alarm restored, [`alerta.io`](health/notifications/alerta/), `conntrack_max`.
- `my-netdata`menu has been refactored.
- Packaging: `openrc` service definition got a few improvements.
......@@ -236,7 +246,7 @@ This is what you should expect from Netdata:
### Health Monitoring & Alarms
- **Sophisticated alerting** - comes with hundreds of alarms, **out of the box**! Supports dynamic thresholds, hysteresis, alarm templates, multiple role-based notification methods.
- **Notifications**: [alerta.io](health/notifications/alerta/), [amazon sns](health/notifications/awssns/), [discordapp.com](health/notifications/discord/), [email](health/notifications/email/), [flock.com](health/notifications/flock/), [irs](health/notifications/irc/), [kavenegar.com](health/notifications/kavenegar/), [messagebird.com](health/notifications/messagebird/), [pagerduty.com](health/notifications/pagerduty/), [pushbullet.com](health/notifications/pushbullet/), [pushover.net](health/notifications/pushover/), [rocket.chat](health/notifications/rocketchat/), [slack.com](health/notifications/slack/), [syslog](health/notifications/syslog/), [telegram.org](health/notifications/telegram/), [twilio.com](health/notifications/twilio/), [web](health/notifications/web/).
- **Notifications**: [alerta.io](health/notifications/alerta/), [amazon sns](health/notifications/awssns/), [discordapp.com](health/notifications/discord/), [email](health/notifications/email/), [flock.com](health/notifications/flock/), [irc](health/notifications/irc/), [kavenegar.com](health/notifications/kavenegar/), [messagebird.com](health/notifications/messagebird/), [pagerduty.com](health/notifications/pagerduty/), [prowl](health/notifications/prowl/), [pushbullet.com](health/notifications/pushbullet/), [pushover.net](health/notifications/pushover/), [rocket.chat](health/notifications/rocketchat/), [slack.com](health/notifications/slack/), [smstools3](health/notifications/smstools3/), [syslog](health/notifications/syslog/), [telegram.org](health/notifications/telegram/), [twilio.com](health/notifications/twilio/), [web](health/notifications/web/) and [custom notifications](health/notifications/custom/).
### Integrations
- **time-series dbs** - can archive its metrics to `graphite`, `opentsdb`, `prometheus`, json document DBs, in the same or lower resolution (lower: to prevent it from congesting these servers due to the amount of data collected).
......@@ -307,8 +317,8 @@ Its [Plugin API](collectors/plugins.d/) supports all programing languages (anyth
- **[SoftIRQs](collectors/proc.plugin/)** - total and per core SoftIRQs.
- **[SoftNet](collectors/proc.plugin/)** - total and per core SoftIRQs related to network activity.
- **[CPU Throttling](collectors/proc.plugin/)** - collects per core CPU throttling.
- **[CPU Frequency](collectors/python.d.plugin/couchdb/)** - collects the current CPU frequency.
- **[CPU Idle](collectors/python.d.plugin/cpuidle/)** - collects the time spent per processor state.
- **[CPU Frequency](collectors/proc.plugin/)** - collects the current CPU frequency.
- **[CPU Idle](collectors/proc.plugin/)** - collects the time spent per processor state.
- **[IdleJitter](collectors/idlejitter.plugin/)** - measures CPU latency.
- **[Entropy](collectors/proc.plugin/)** - random numbers pool, using in cryptography.
- **[Interprocess Communication - IPC](collectors/proc.plugin/)** - such as semaphores and semaphores arrays.
......@@ -329,7 +339,7 @@ Its [Plugin API](collectors/plugins.d/) supports all programing languages (anyth
- **[block devices](collectors/proc.plugin/)** - per disk: I/O, operations, backlog, utilization, space, etc.
- **[BCACHE](collectors/proc.plugin/)** - detailed performance of SSD caching devices.
- **[DiskSpace](collectors/proc.plugin/)** - monitors disk space usage.
- **[mdstat](collectors/python.d.plugin/mdstat/)** - software RAID.
- **[mdstat](collectors/proc.plugin/)** - software RAID.
- **[hddtemp](collectors/python.d.plugin/hddtemp/)** - disk temperatures.
- **[smartd](collectors/python.d.plugin/smartd_log/)** - disk S.M.A.R.T. values.
- **[device mapper](collectors/proc.plugin/)** - naming disks.
......@@ -438,7 +448,7 @@ Its [Plugin API](collectors/plugins.d/) supports all programing languages (anyth
#### UPSes
- **[apcupsd](collectors/charts.d.plugin/apcupsd/)** - load, charge, battery voltage, temperature, utility metrics, output metrics
- **[NUT](collectors/charts.d.plugin/nut/)** - load, charge, battery voltage, temperature, utility metrics, output metrics
- **[Linux Power Supply](collectors/python.d.plugin/linux_power_supply/)** - collects metrics reported by power supply drivers on Linux.
- **[Linux Power Supply](collectors/proc.plugin/)** - collects metrics reported by power supply drivers on Linux.
#### Social Sharing Servers
- **[RetroShare](collectors/python.d.plugin/retroshare/)** - connects to multiple retroshare servers (local or remote) to collect real-time performance metrics.
......
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
#!/bin/bash
if [ ! -f .gitignore ]; then
echo "Run as ./travis/$(basename "$0") from top level directory of git repository"
exit 1
fi
if [ "$IS_CONTAINER" != "" ]; then
autoreconf -ivf
./configure --enable-maintainer-mode
make dist
rm -rf autom4te.cache
else
docker run --rm -it \
--env IS_CONTAINER=TRUE \
--volume "${PWD}:/project:Z" \
--workdir "/project" \
netdata/builder:gcc \